## jwchat 1.0%2Bdfsg

=== debian/changelog ===
jwchat (1.0+dfsg-1.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix "FTBFS: Can't locate scripts/JWCI18N.pm in @INC":
    add a patch to prepend ./ to require() calls.
    (Closes: #837242)
  * Additionally add a second patch to handle the changed behaviour of
    Regexp::Common::delimited, otherwise the whole I18N mechanism fails.

 -- gregor herrmann <gregoa@debian.org>  Sun, 18 Sep 2016 17:11:06 +0200

jwchat (1.0+dfsg-1.3) unstable; urgency=low

  * Non-maintainer upload.
  * Add forgotten symlinks used in debug mode (really closes: #644097).
  * Add launcepad bug reference for #710688 fix.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 Sep 2013 15:12:21 +0200

jwchat (1.0+dfsg-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Rename /etc/apache4/sites-available/jwchat and
    /etc/apache2/sites-available/jwchat.conf and add maintainer script
    code to handle this rename during upgrades, to make jwchat
    compatible with apache 2.4 (Closes: #710688).  Based on patch from
    Jean-Michel Vourgère with additions from Petter Reinholdtsen.
    Also fixes LP: #571925.
  * Change file owner of files handled out via apache from nobody and
    www-data to root, to ensure the apache server and processes
    running as user nobody can't modify the files (Closes: #632631).
  * Apply patch from Jean-Michel Vourgère to not leave any
    files behind after purge, even if ucf isn't available during
    purge (Closes: #656455).
  * Add web page symlinks to allow DEBUG=true mode to work with the
    jwchat web client (Closes: #644097).  Patch from Jean-Michel
    Vourgère.
  * Updated Standards-Version from 3.9.1 to 3.9.4 keeping lintian
    happy.  No changes needed.
  * Removed article from short description, keeping lintian happy.

 -- Petter Reinholdtsen <pere@debian.org>  Tue, 24 Sep 2013 14:24:39 +0200

jwchat (1.0+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Update debconf templates translation:
    - Danish, Joe Hansen (Closes: #653751)
    - Dutch, Jeroen Schot (Closes: #659708)
    - Slovak, Slavko, Ivan Masár (Closes: #686282)
    - Polish, Michał Kułach (Closes: #686597) 

 -- David Prévot <taffit@debian.org>  Tue, 04 Sep 2012 18:08:17 -0400

jwchat (1.0+dfsg-1) unstable; urgency=high

  [Lincoln de Sousa]

  * Switch to dpkg-source 3.0 (quilt) format
  * Migrating package from cdbs to debhelper 7.0.50~
  * Changing the rule get-orig-source to generate a dfsg compatible
    package striping swf files from the orig (Closes: #591962)
  * Updated Standards-Version to 3.9.1
  * Removing po-debconf from the Build-Depends-Indep list.

  [Marcelo Jorge Vieira]

  * Fixing the default backend
  * Fixing Debugger dependency
  * Changing information about packaging from old maintainers to
    Debian XMPP Team.
  * Removing sound support.
  * Setting a port for apache VirtualHost.

 -- Lincoln de Sousa <lincoln@minaslivre.org>  Thu, 16 Sep 2010 11:42:28 -0300

jwchat (1.0final-6) unstable; urgency=low

  * Adopting jwchat package (Closes: #534913)
  * Updated Standards-Version to 3.8.4 (no changes)
  * Changed VCS fields to XMPP Team
  * Added Japanese debconf template (Closes: #558055);
    Thanks Hideki Yamane (Debian-JP) <henrich@debian.or.jp>
  * Updating Brazilian Portuguese debconf template (Closes: #583616)
  * Added dependency to xmlextras (Closes: #467568)
  * Added README.Source

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 02 Jun 2010 16:13:27 -0300

jwchat (1.0final-5) unstable; urgency=low

  * Set Maintainer to Debian QA Group.

 -- Torsten Werner <twerner@debian.org>  Fri, 28 Aug 2009 11:38:45 +0200

jwchat (1.0final-4) unstable; urgency=low

  * Change Maintainer: to myself because the old mailing list is almost dead
    and I am the only active member.
  * Update Standards-Version: 3.8.2 (no changes).

 -- Torsten Werner <twerner@debian.org>  Sun, 28 Jun 2009 10:02:08 +0200

jwchat (1.0final-3) unstable; urgency=low

  * Bump up Standards-Version: 3.8.1 (no changes).
  * Reference GPL-2 license in debian/copyright.
  * Update Czech and Russian debconf translation. (Closes: #530331, #529051)
  * Add Spanish debconf translation. (Closes: #512835)
  * Add Depends: libjs-jac and remove our own copy of the library thanks to
    Marcelo Jorge Vieira. (Closes: #522870)

 -- Torsten Werner <twerner@debian.org>  Mon, 25 May 2009 20:17:20 +0200

jwchat (1.0final-2) unstable; urgency=low

  * upload to unstable

 -- Torsten Werner <twerner@debian.org>  Tue, 17 Feb 2009 21:10:59 +0100

jwchat (1.0final-1) experimental; urgency=low

  * New upstream release 
  * Refresh our patch.
  * Remove useless directory .xvpics.

 -- Torsten Werner <twerner@debian.org>  Sat, 27 Dec 2008 00:32:50 +0100

jwchat (1.0beta3-5) unstable; urgency=low

  * Add french debconf translation thanks to Christian Perrier.
    (Closes: #502690)
  * Add italian debconf translation thanks to Luca Monducci.
    (Closes: #502843)
  * Add portuguese debconf translation thanks to Américo Monteiro.
    (Closes: #502900)
  * Add swedish debconf translation thanks to Martin Bagge.
    (Closes: #503352)

 -- Torsten Werner <twerner@debian.org>  Sat, 08 Nov 2008 09:36:20 +0100

jwchat (1.0beta3-4) unstable; urgency=low

  * Improve english debconf message. (Closes: #496329)
    - Update german translation accordingly.
  * Bump Up Standards-Version: 3.8.0 (no changes).

 -- Torsten Werner <twerner@debian.org>  Sat, 18 Oct 2008 11:49:28 +0200

jwchat (1.0beta3-3) unstable; urgency=low

  * Clean up README.Debian. (Closes: #481320)
  * Add brazilian debconf messages translation. (Closes: #481522)
  * Add swedish debconf messages translation. (Closes: #494887)
  * Add italian debconf messages translation. (Closes: #495780)
  * Add russian debconf messages translation. (Closes: #495573)
  * Add finnish debconf messages translation. (Closes: #496227)

 -- Torsten Werner <twerner@debian.org>  Sun, 24 Aug 2008 15:02:53 +0200

jwchat (1.0beta3-2) unstable; urgency=low



## jwchat 1.0+dfsg

=== Makefile ===

all: install

po:
	@./scripts/extract-message-catalog.pl

install:
	@if [ ! -d ./htdocs ]; then \
		echo ""; \
		mkdir ./htdocs; \
		echo "Copying Stylesheets ..."; \
		cp ./src/*.css ./htdocs; \
		echo "Copying Images ...";\
		cp -r ./src/images ./htdocs;\
		echo "Copying Sounds ...";\
		cp -r ./src/sounds htdocs;\
		echo ""; \
	fi
	@./scripts/templateparser.pl;
	@echo "Copying static files ...";
	@	./scripts/cpstatic.sh;
	@echo "Copying additional libs ...";
	@	./scripts/cplibs.sh;

clean:
	@rm -r ./htdocs
	@rm -r ./htdocs.*

.PHONY: clean po

=== debian/changelog ===
jwchat (1.0+dfsg-1.5) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:08:11 +0100

=== debian/control ===
Source: jwchat
Section: web
Priority: optional
Maintainer: Debian XMPP Maintainers <pkg-xmpp-devel@lists.alioth.debian.org>
Uploaders:
  Marcelo Jorge Vieira (metal) <metal@debian.org>,
  Lincoln de Sousa <lincoln@minaslivre.org>
Build-Depends: debhelper (>= 7.0.50~), libregexp-common-perl,
 liblocale-maketext-lexicon-perl, liblocale-maketext-fuzzy-perl
Vcs-Browser: http://git.debian.org/?p=pkg-xmpp/jwchat.git
Vcs-Git: git://git.debian.org/git/pkg-xmpp/jwchat.git
Homepage: http://jwchat.sourceforge.net/
Standards-Version: 3.9.4

Package: jwchat
Architecture: all
Depends: ${misc:Depends}, apache2 | httpd, ucf, libjs-jac, libjs-xmlextras, libjs-debugger
Recommends: ejabberd
Description: full featured, web-based Jabber chat client
 JWChat is a full featured, web-based Jabber client. Written using AJAX
 technology it relies on JavaScript and HTML at the client-side only. It
 supports basic jabber instant messaging, roster management and groupchats
 based on the MUC protocol
 .
 JWChat is an advanced instant messenger (IM) just like AIM, MSN Messenger,
 Yahoo! Messenger or ICQ. This means you can manage your contacts, communicate
 with other users in 1:1 chat sessions or join a groupchat room for
 collaborative communication. Unlike other IMs you can use this with your web
 browser without having to install any additional software at all.
 .
 All of your settings, bookmarks and your contact list are stored on the server
 side. This means that you have access to your personalized client from almost
 any computer as long as it's got access to the internet.

=== debian/watch ===
version=3
opts=\
uversionmangle=s/beta\d//g,\
dversionmangle=s/\+dfsg$//g \
    http://sf.net/jwchat/jwchat-(\d\..*).tar.gz
